Bug 1289583 - Unable connect to 3G if Huawei HSDPA Modem is reconnected
Unable connect to 3G if Huawei HSDPA Modem is reconnected
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
23
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 08:41 EST by Ladislav Nesnera
Modified: 2016-12-20 22:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:45:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
corresponding part of /var/log/messages (80.58 KB, text/plain)
2015-12-08 08:41 EST, Ladislav Nesnera
no flags Details
result of lsusb -v -d 12d1:1001 (6.68 KB, text/plain)
2015-12-09 18:39 EST, Ladislav Nesnera
no flags Details

  None (edit)
Description Ladislav Nesnera 2015-12-08 08:41:24 EST
Created attachment 1103608 [details]
corresponding part of /var/log/messages

Description of problem:
I am unable to connect to 3G if USB modem was physically unplugged and plugged again. Problem occurs after updating system to F23. I must restart system to repair it.

Version-Release number of selected component (if applicable):
$ lsusb
..Bus 001 Device 004: ID 12d1:1001 Huawei Technologies Co., Ltd. E169/E620/E800 HSDPA Modem
..

How reproducible:


Steps to Reproduce:
1. unplug USB modem and plug it again
2. HW is detected, nm-applet trying to connect but fails (LED blinking unlike to correct connected state - lights continuously)

Actual results:
I must restart OS to reconnect

Expected results:
1. suggestion/workaround how to reconnect modem manually (CLI) without restart OS
2. restore the previous automatic operation

Additional info:
As I know, there was a problem with this HW in the past because it contains slot for memory card.
Log is attached. HW was removed about 12:57
Comment 1 Dan Williams 2015-12-08 14:49:44 EST
pppd appears unable to negotiate an address with the modem's firmware.  When the device is detected by NM, can you grab the output of:

lsusb -v 12d1:1001

Also, any idea what specific model of modem this is?  It should be printed somewhere on the modem itself, otherwise you can grab the output of:

mmcli -m X

where 'X' is the number at the end of the modem path returned by "mmcli -L".
Comment 2 Ladislav Nesnera 2015-12-09 18:39 EST
Created attachment 1104185 [details]
result of lsusb -v -d 12d1:1001
Comment 3 Ladislav Nesnera 2015-12-09 18:42:44 EST
$ mmcli -L

Found 1 modems:
        /org/freedesktop/ModemManager1/Modem/0 [huawei] E1750


$ mmcli -m 0

/org/freedesktop/ModemManager1/Modem/0 (device id '016a7698f9749ba88a0f3382fc1c8ea028f35c0b')
  -------------------------
  Hardware |   manufacturer: 'huawei'
           |          model: 'E1750'
           |       revision: '11.126.03.00.55'
           |      supported: 'gsm-umts'
           |        current: 'gsm-umts'
           |   equipment id: '354818043414678'
  -------------------------
  System   |         device: '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-2'
           |        drivers: 'option1'
           |         plugin: 'Generic'
           |   primary port: 'ttyUSB0'
           |          ports: 'ttyUSB0 (at), ttyUSB1 (qcdm), ttyUSB2 (at)'
  -------------------------
  Numbers  |           own : 'unknown'
  -------------------------
  Status   |           lock: 'none'
           | unlock retries: 'unknown'
           |          state: 'connected'
           |    power state: 'on'
           |    access tech: 'gprs'
           | signal quality: '61' (recent)
  -------------------------
  Modes    |      supported: 'allowed: 2g, 3g; preferred: none'
           |        current: 'allowed: 2g, 3g; preferred: none'
  -------------------------
  Bands    |      supported: 'unknown'
           |        current: 'unknown'
  -------------------------
  IP       |      supported: 'ipv4, ipv6'
  -------------------------
  3GPP     |           imei: '354818043414678'
           |  enabled locks: 'none'
           |    operator id: 'unknown'
           |  operator name: 'Vodafone CZ'
           |   subscription: 'unknown'
           |   registration: 'home'
  -------------------------
  SIM      |           path: '/org/freedesktop/ModemManager1/SIM/0'

  -------------------------
  Bearers  |          paths: '/org/freedesktop/ModemManager1/Bearer/2'
Comment 4 Ladislav Nesnera 2016-01-09 16:33:34 EST
I've done upgrade of my OS two days ago and un/plug of the USB WiFi works well. New kernel, maybe?

Linux 4.2.6-300.fc23.i686 #1 SMP Tue Nov 10 20:12:16 UTC 2015 i686 i686 i386 GNU/Linux
Comment 5 Fedora End Of Life 2016-11-24 09:04:05 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 11:45:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Fedora End Of Life 2016-12-20 22:00:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.